Bug 180292 - Can't build net-p2p/transmission-qt4
Summary: Can't build net-p2p/transmission-qt4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 10:10 UTC by Vladimir Omelchuk
Modified: 2013-08-30 13:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Omelchuk 2013-07-05 10:10:00 UTC
..
c++ -c -O2 -pipe -march=core2 -fno-strict-aliasing -g -pthread -D_THREAD_SAFE -Wall -W -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/local/share/qt4/mkspecs/freebsd-g++ -I. -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4 -I/usr/local/include/qt4/QtDBus -I/include -I.. -I/usr/local/include -I/usr/local/include/event2/compat -I. -I. -I/usr/local/include/qt4 -I/usr/local/include -o stats-dialog.o stats-dialog.cc
c++ -c -O2 -pipe -march=core2 -fno-strict-aliasing -g -pthread -D_THREAD_SAFE -Wall -W -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/local/share/qt4/mkspecs/freebsd-g++ -I. -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4 -I/usr/local/include/qt4/QtDBus -I/include -I.. -I/usr/local/include -I/usr/local/include/event2/compat -I. -I. -I/usr/local/include/qt4 -I/usr/local/include -o torrent.o torrent.cc
c++ -c -O2 -pipe -march=core2 -fno-strict-aliasing -g -pthread -D_THREAD_SAFE -Wall -W -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/local/share/qt4/mkspecs/freebsd-g++ -I. -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4 -I/usr/local/include/qt4/QtDBus -I/include -I.. -I/usr/local/include -I/usr/local/include/event2/compat -I. -I. -I/usr/local/include/qt4 -I/usr/local/include -o torrent-delegate.o torrent-delegate.cc
c++ -c -O2 -pipe -march=core2 -fno-strict-aliasing -g -pthread -D_THREAD_SAFE -Wall -W -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/local/share/qt4/mkspecs/freebsd-g++ -I. -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4 -I/usr/local/include/qt4/QtDBus -I/include -I.. -I/usr/local/include -I/usr/local/include/event2/compat -I. -I. -I/usr/local/include/qt4 -I/usr/local/include -o torrent-delegate-min.o torrent-delegate-min.cc
c++ -c -O2 -pipe -march=core2 -fno-strict-aliasing -g -pthread -D_THREAD_SAFE -Wall -W -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/local/share/qt4/mkspecs/freebsd-g++ -I. -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4 -I/usr/local/include/qt4/QtDBus -I/include -I.. -I/usr/local/include -I/usr/local/include/event2/compat -I. -I. -I/usr/local/include/qt4 -I/usr/local/include -o torrent-filter.o torrent-filter.cc
torrent-filter.cc: In member function 'void TorrentFilter::countTorrentsPerMode(int*) const':
torrent-filter.cc:214: error: no matching function for call to 'fill_n(int*&, FilterMode::<anonymous enum>, int)'
gmake: *** [torrent-filter.o] Error 1
*** [post-build] Error code 2

Stop in /usr/ports/net-p2p/transmission-qt4.
*** [build] Error code 1

Stop in /usr/ports/net-p2p/transmission-qt4.

How-To-Repeat: # cd /usr/ports/net-p2p/transmission-qt4/ && make
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 10:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees freebsd_committer 2013-07-10 20:05:20 UTC
State Changed
From-To: open->analyzed

Looks like API breakage with qt4.  I'll try a test build with the latest 
QT
Comment 3 dfilter service freebsd_committer 2013-08-30 09:18:39 UTC
Author: crees
Date: Fri Aug 30 08:18:32 2013
New Revision: 325665
URL: http://svnweb.freebsd.org/changeset/ports/325665

Log:
  Mark BROKEN-- requires newer version of Qt than in the ports tree
  
  PR:		ports/180292

Modified:
  head/net-p2p/transmission-qt4/Makefile

Modified: head/net-p2p/transmission-qt4/Makefile
==============================================================================
--- head/net-p2p/transmission-qt4/Makefile	Fri Aug 30 07:45:58 2013	(r325664)
+++ head/net-p2p/transmission-qt4/Makefile	Fri Aug 30 08:18:32 2013	(r325665)
@@ -9,6 +9,8 @@ COMMENT=	Fast and lightweight QT4 BitTor
 LIB_DEPENDS=	${GEN_LIB_DEPENDS}
 RUN_DEPENDS=	${GEN_RUN_DEPENDS}
 
+BROKEN=		Requires newer version of Qt than in the ports tree
+
 DESCR=		${.CURDIR}/pkg-descr
 MASTERDIR=	${.CURDIR}/../transmission-cli
 PLIST=		${.CURDIR}/pkg-plist
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2013-08-30 13:12:02 UTC
Author: crees
Date: Fri Aug 30 12:11:48 2013
New Revision: 325674
URL: http://svnweb.freebsd.org/changeset/ports/325674

Log:
  Fix transmission-qt4 build.
  
  PR:		ports/180292
  Submitted by:	naddy
  Obtained from:	OpenBSD

Added:
  head/net-p2p/transmission-cli/files/patch-qt_favicon_cc   (contents, props changed)
  head/net-p2p/transmission-cli/files/patch-qt_file-tree_cc   (contents, props changed)
  head/net-p2p/transmission-cli/files/patch-qt_qtr_pro   (contents, props changed)
  head/net-p2p/transmission-cli/files/patch-qt_torrent-filter_cc   (contents, props changed)
Modified:
  head/net-p2p/transmission-qt4/Makefile

Added: head/net-p2p/transmission-cli/files/patch-qt_favicon_cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/transmission-cli/files/patch-qt_favicon_cc	Fri Aug 30 12:11:48 2013	(r325674)
@@ -0,0 +1,28 @@
+$OpenBSD$
+--- qt/favicon.cc.orig	Fri Aug  9 04:45:47 2013
++++ qt/favicon.cc	Thu Aug 22 16:39:50 2013
+@@ -14,7 +14,12 @@
+ #include <QNetworkAccessManager>
+ #include <QNetworkReply>
+ #include <QNetworkRequest>
++
++#if QT_VERSION >= 0x050000
+ #include <QStandardPaths>
++#else
++#include <QDesktopServices>
++#endif
+ 
+ #include "favicon.h"
+ 
+@@ -40,7 +45,11 @@ Favicons :: ~Favicons( )
+ QString
+ Favicons :: getCacheDir( )
+ {
++#if QT_VERSION >= 0x050000
+     const QString base = QStandardPaths::writableLocation (QStandardPaths::CacheLocation);
++#else
++    const QString base = QDesktopServices::storageLocation( QDesktopServices::CacheLocation );
++#endif
+     return QDir( base ).absoluteFilePath( "favicons" );
+ }
+ 

Added: head/net-p2p/transmission-cli/files/patch-qt_file-tree_cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/transmission-cli/files/patch-qt_file-tree_cc	Fri Aug 30 12:11:48 2013	(r325674)
@@ -0,0 +1,15 @@
+$OpenBSD$
+--- qt/file-tree.cc.orig	Fri Aug  9 04:45:54 2013
++++ qt/file-tree.cc	Thu Aug 22 16:40:53 2013
+@@ -885,7 +885,11 @@ FileTreeView :: FileTreeView (QWidget * parent, bool i
+   for (int i=0; i<NUM_COLUMNS; ++i)
+     {
+       setColumnHidden (i, (i<FIRST_VISIBLE_COLUMN) || (LAST_VISIBLE_COLUMN<i));
++#if QT_VERSION >= 0x050000
+       header()->setSectionResizeMode(i, QHeaderView::Interactive);
++#else
++      header()->setResizeMode(i, QHeaderView::Interactive);
++#endif
+     }
+ 
+   connect (this, SIGNAL(clicked(const QModelIndex&)),

Added: head/net-p2p/transmission-cli/files/patch-qt_qtr_pro
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/transmission-cli/files/patch-qt_qtr_pro	Fri Aug 30 12:11:48 2013	(r325674)
@@ -0,0 +1,21 @@
+$OpenBSD: patch-qt_qtr_pro,v 1.4 2012/04/07 10:55:04 naddy Exp $
+--- qt/qtr.pro.orig	Fri Aug  9 04:45:47 2013
++++ qt/qtr.pro	Thu Aug 22 16:37:03 2013
+@@ -8,7 +8,7 @@ target.path = /bin
+ INSTALLS += target
+ 
+ unix: INSTALLS += man
+-man.path = /share/man/man1/
++man.path = /man/man1/
+ man.files = transmission-qt.1
+ 
+ CONFIG += qt thread debug link_pkgconfig
+@@ -26,7 +26,7 @@ LIBS += $${LIBUTP_LIBS}
+ LIBS += $${TRANSMISSION_TOP}/third-party/dht/libdht.a
+ LIBS += $${LIBUPNP_LIBS}
+ LIBS += $${LIBNATPMP_LIBS}
+-unix: LIBS += -L$${EVENT_TOP}/lib -lz -lrt
++unix: LIBS += -L$${EVENT_TOP}/lib -lz -levent_core -levent_extra
+ win32:DEFINES += QT_DBUS
+ win32:LIBS += -levent-2.0 -lws2_32 -lintl
+ win32:LIBS += -lidn -liconv -lwldap32 -liphlpapi

Added: head/net-p2p/transmission-cli/files/patch-qt_torrent-filter_cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/transmission-cli/files/patch-qt_torrent-filter_cc	Fri Aug 30 12:11:48 2013	(r325674)
@@ -0,0 +1,12 @@
+$OpenBSD$
+--- qt/torrent-filter.cc.orig	Sat Jul  6 22:21:17 2013
++++ qt/torrent-filter.cc	Sat Jul  6 22:29:10 2013
+@@ -211,7 +211,7 @@ TorrentFilter :: hiddenRowCount( ) const
+ void
+ TorrentFilter :: countTorrentsPerMode (int * setmeCounts) const
+ {
+-  std::fill_n (setmeCounts, FilterMode::NUM_MODES, 0);
++  std::fill_n (setmeCounts, int(FilterMode::NUM_MODES), 0);
+ 
+   for (int row(0); ; ++row)
+     { 

Modified: head/net-p2p/transmission-qt4/Makefile
==============================================================================
--- head/net-p2p/transmission-qt4/Makefile	Fri Aug 30 12:11:16 2013	(r325673)
+++ head/net-p2p/transmission-qt4/Makefile	Fri Aug 30 12:11:48 2013	(r325674)
@@ -9,8 +9,6 @@ COMMENT=	Fast and lightweight QT4 BitTor
 LIB_DEPENDS=	${GEN_LIB_DEPENDS}
 RUN_DEPENDS=	${GEN_RUN_DEPENDS}
 
-BROKEN=		Requires newer version of Qt than in the ports tree
-
 DESCR=		${.CURDIR}/pkg-descr
 MASTERDIR=	${.CURDIR}/../transmission-cli
 PLIST=		${.CURDIR}/pkg-plist
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees freebsd_committer 2013-08-30 13:13:04 UTC
State Changed
From-To: analyzed->closed

Thanks to Christian Weisgerber for providing the fixes.